15
None
none.bmp
none.bmp
1
2
TRUE
138
0*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
Inheritance relationship
INHERITL.BMP
INHERITR.BMP
2
4
FALSE
138
.25*Scratch.A1
-.125*Scratch.A1
139
0*Scratch.A1
0*Scratch.A1
139
.25*Scratch.A1
.125*Scratch.A1
139
.25*Scratch.A1
-.125*Scratch.A1
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
Has relationship
HASL.BMP
HASR.BMP
2
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
3
0
138
0*Scratch.A1
0*Scratch.A1
144
.25*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
.125*Scratch.A1
0
1
144
0*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
-.125*Scratch.A1
0
1
Using relationship
USINGL.BMP
USINGR.BMP
2
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
3
1
138
0*Scratch.A1
0*Scratch.A1
144
.25*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
.125*Scratch.A1
0
1
144
0*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
-.125*Scratch.A1
0
1
By value containment
VALUEL.BMP
VALUER.BMP
2
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
5
FALSE
138
0*Scratch.A1
-.125*Scratch.A1
139
.25*Scratch.A1
-.125*Scratch.A1
139
.25*Scratch.A1
.125*Scratch.A1
139
0*Scratch.A1
.125*Scratch.A1
139
0*Scratch.A1
-.125*Scratch.A1
By reference containment
REFERENL.BMP
REFERENR.BMP
2
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
5
1
138
0*Scratch.A1
-.125*Scratch.A1
139
.25*Scratch.A1
-.125*Scratch.A1
139
.25*Scratch.A1
.125*Scratch.A1
139
0*Scratch.A1
.125*Scratch.A1
139
0*Scratch.A1
-.125*Scratch.A1
Protected export
PROTECTL.BMP
PROTECTR.BMP
2
2
TRUE
138
-5.55111512312578E-17*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
2
TRUE
138
.375*Scratch.A1
.1875*Scratch.A1
139
.375*Scratch.A1
-.1875*Scratch.A1
Private export
PRIVATEL.BMP
PRIVATER.BMP
3
2
TRUE
138
-5.55111512312578E-17*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
2
TRUE
138
.375*Scratch.A1
.1875*Scratch.A1
139
.375*Scratch.A1
-.1875*Scratch.A1
2
TRUE
138
.625*Scratch.A1
.1875*Scratch.A1
139
.625*Scratch.A1
-.1875*Scratch.A1
Implementation export
IMPLIMEL.BMP
IMPLIMER.BMP
4
2
TRUE
138
-5.55111512312578E-17*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
2
TRUE
138
.375*Scratch.A1
.1875*Scratch.A1
139
.375*Scratch.A1
-.1875*Scratch.A1
2
TRUE
138
.625*Scratch.A1
.1875*Scratch.A1
139
.625*Scratch.A1
-.1875*Scratch.A1
2
TRUE
138
.875*Scratch.A1
.1875*Scratch.A1
139
.875*Scratch.A1
-.1875*Scratch.A1
Has protected access
HASPROL.BMP
HASPROR.BMP
3
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
3
0
138
-5.55111512312578E-17*Scratch.A1
0*Scratch.A1
144
.25*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
.125*Scratch.A1
0
1
144
-5.55111512312578E-17*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
-.125*Scratch.A1
0
1
2
TRUE
138
.375*Scratch.A1
.1875*Scratch.A1
139
.375*Scratch.A1
-.1875*Scratch.A1
Has private access
HASPRIVL.BMP
HASPRIVR.BMP
4
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
3
0
138
-5.55111512312578E-17*Scratch.A1
0*Scratch.A1
144
.25*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
.125*Scratch.A1
0
1
144
-5.55111512312578E-17*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
-.125*Scratch.A1
0
1
2
TRUE
138
.375*Scratch.A1
.1875*Scratch.A1
139
.375*Scratch.A1
-.1875*Scratch.A1
2
TRUE
138
.625*Scratch.A1
.1875*Scratch.A1
139
.625*Scratch.A1
-.1875*Scratch.A1
Has implementation access
HASIMPL.BMP
HASIMPR.BMP
5
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
3
0
138
-5.55111512312578E-17*Scratch.A1
0*Scratch.A1
144
.25*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
.125*Scratch.A1
0
1
144
-5.55111512312578E-17*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
-.125*Scratch.A1
0
1
2
TRUE
138
.375*Scratch.A1
.1875*Scratch.A1
139
.375*Scratch.A1
-.1875*Scratch.A1
2
TRUE
138
.625*Scratch.A1
.1875*Scratch.A1
139
.625*Scratch.A1
-.1875*Scratch.A1
2
TRUE
138
.875*Scratch.A1
.1875*Scratch.A1
139
.875*Scratch.A1
-.1875*Scratch.A1
Using protected access
USEPROL.BMP
USEPROR.BMP
3
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
2
TRUE
138
.375*Scratch.A1
.1875*Scratch.A1
139
.375*Scratch.A1
-.1875*Scratch.A1
3
1
138
0*Scratch.A1
-5.55111512312578E-17*Scratch.A1
144
.25*Scratch.A1
-5.55111512312578E-17*Scratch.A1
.125*Scratch.A1
.125*Scratch.A1
0
1
144
0*Scratch.A1
-5.55111512312578E-17*Scratch.A1
.125*Scratch.A1
-.125*Scratch.A1
0
1
Using private access
USEPRIVL.BMP
USEPRIVR.BMP
4
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
2
TRUE
138
.375*Scratch.A1
.1875*Scratch.A1
139
.375*Scratch.A1
-.1875*Scratch.A1
2
TRUE
138
.625*Scratch.A1
.1875*Scratch.A1
139
.625*Scratch.A1
-.1875*Scratch.A1
3
1
138
0*Scratch.A1
0*Scratch.A1
144
.25*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
.125*Scratch.A1
0
1
144
0*Scratch.A1
0*Scratch.A1
.125*Scratch.A1
-.125*Scratch.A1
0
1
Using implementaion access
USEIMPL.BMP
USEIMPR.BMP
5
2
TRUE
138
.25*Scratch.A1
0*Scratch.A1
139
1*Scratch.A1
0*Scratch.A1
2
TRUE
138
.375*Scratch.A1
.1875*Scratch.A1
139
.375*Scratch.A1
-.1875*Scratch.A1
2
TRUE
138
.625*Scratch.A1
.1875*Scratch.A1
139
.625*Scratch.A1
-.1875*Scratch.A1
2
TRUE
138
.875*Scratch.A1
.1875*Scratch.A1
139
.875*Scratch.A1
-.1875*Scratch.A1
3
1
138
-5.55111512312578E-17*Scratch.A1
-5.55111512312578E-17*Scratch.A1
144
.25*Scratch.A1
-5.55111512312578E-17*Scratch.A1
.125*Scratch.A1
.125*Scratch.A1
0
1
144
-5.55111512312578E-17*Scratch.A1
-5.55111512312578E-17*Scratch.A1
.125*Scratch.A1
-.125*Scratch.A1
0
1
